## org.eclipse.jst.jsf.context.symbol
Interface IBoundedJavaTypeDescriptor

All Superinterfaces:
  IBoundedTypeDescriptor, IJavaTypeDescriptor2, ITypeDescriptor

    public interface IBoundedJavaTypeDescriptor

extends IJavaTypeDescriptor2, IBoundedTypeDescriptor

A representation of the model object 'IBounded Java Type Descriptor'.

Provisional API - subject to change

See Also:
  `SymbolPackage.getIBoundedJavaTypeDescriptor()`

Field Summary
`static java.lang.String` `copyright`

Method Summary

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IJavaTypeDescriptor2
`getArrayCount, getBeanMethods, getBeanProperties, getType, resolveType, setArrayCount, setType`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.IBoundedTypeDescriptor
`getUnboundedProperty, isUnboundedForType`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values